// DreiDlg.h : Header-Datei
//

#if !defined(AFX_DREIDLG_H__04D02C85_A619_11D1_9EC7_444553540000__INCLUDED_)
#define AFX_DREIDLG_H__04D02C85_A619_11D1_9EC7_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CDreiDlg Dialogfeld

class CDreiDlg : public CDialog
{
// Konstruktion
public:
        CDreiDlg(CWnd* pParent = NULL); // Standard-Konstruktor

// Dialogfelddaten
        //{{AFX_DATA(CDreiDlg)
	enum { IDD = IDD_DREI_DIALOG };
	CListBox	m_AndereSprachen;
	CListBox	m_Uebersetzer;
	CListBox	m_Zielsprache;
	CListBox	m_Ursprungssprache;
	CListBox	m_Route;
	CString	m_Muttersprache;
	BOOL	m_Anwesend;
	BOOL	m_NurMuttersprache;
	CString	m_Ergebnis;
	BOOL	m_2Personen;
	int		m_MaxAufschlag;
	int		m_Grundgebuehr;
	int		m_Kosten;
	BOOL	m_KuerzesterWeg;
	//}}AFX_DATA

        // Vom Klassenassistenten generierte berladungen virtueller Funktionen
        //{{AFX_VIRTUAL(CDreiDlg)
        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV-Untersttzung
        //}}AFX_VIRTUAL

// Implementierung
protected:
	void NeuErmitteln();
	int MinStationen(int nUrsprung, int nZiel);
	int MinKosten(int nUrsprung, int nZiel);
	void ErzeugeGraph();

	HICON m_hIcon;

	// die von den bersetzern beherrschten Sprachen
	typedef int TSprachen[UEBERSETZER][SPRACHEN];
	TSprachen m_Sprachen;

	// Adjazenzmatrix der Sprachen
	bool m_Graph[SPRACHEN][SPRACHEN];
	// Anwesenheitsliste
	bool m_Anwesenheit[UEBERSETZER];

	// Struktur zur Weg-/Kostenoptimierung
	struct
	{
		int nStationen;
		int nNachfolger;
		bool bOptimal;
	} m_Optimierliste[SPRACHEN];


        // Generierte Message-Map-Funktionen
        //{{AFX_MSG(CDreiDlg)
        virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListUebersetzer();
	afx_msg void OnSelchangeListUrsprungssprache();
	afx_msg void OnSelchangeListZielsprache();
	afx_msg void OnCheckNurmuttersprache();
	afx_msg void OnButtonInfo();
	afx_msg void OnCheck2personen();
	afx_msg void OnCheckAnwesend();
	afx_msg void OnCheckKuerzesterWeg();
	afx_msg void OnButtonWichtigkeit();
	afx_msg void OnButtonTabelle();
	//}}AFX_MSG
        DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_DREIDLG_H__04D02C85_A619_11D1_9EC7_444553540000__INCLUDED_)
